Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class BuiltinExpressionEvaluatorDecorator

    java.lang.Object
      net.sf.jasperreports.components.table.fill.BuiltinExpressionEvaluatorDecorator

All Implemented Interfaces:
  DatasetExpressionEvaluator

    public class BuiltinExpressionEvaluatorDecorator

extends java.lang.Object
implements DatasetExpressionEvaluator

Version:
  $Id: BuiltinExpressionEvaluatorDecorator.java 3677 2010-04-02 11:39:11Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`BuiltinExpressionEvaluatorDecorator(DatasetExpressionEvaluator decorated, java.util.Map<JRExpression,BuiltinExpressionEvaluator> builtinEvaluators)`

Method Summary
`java.lang.Object` | `evaluate(JRExpression expression)`
`java.lang.Object` | `evaluateEstimated(JRExpression expression)`
`java.lang.Object` | `evaluateOld(JRExpression expression)`
`void` | `init(java.util.Map parametersMap, java.util.Map fieldsMap, java.util.Map variablesMap, WhenResourceMissingTypeEnum resourceMissingType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuiltinExpressionEvaluatorDecorator

    public BuiltinExpressionEvaluatorDecorator(DatasetExpressionEvaluator decorated,
                                               java.util.Map<JRExpression,BuiltinExpressionEvaluator> builtinEvaluators)

Method Detail

### init

    public void init(java.util.Map parametersMap,
                     java.util.Map fieldsMap,
                     java.util.Map variablesMap,
                     WhenResourceMissingTypeEnum resourceMissingType)
              throws JRException

  Specified by:
    `init` in interface `DatasetExpressionEvaluator`
  Throws:
    `JRException`

### evaluate

    public java.lang.Object evaluate(JRExpression expression)
                              throws JRExpressionEvalException

  Specified by:
    `evaluate` in interface `DatasetExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

### evaluateEstimated

    public java.lang.Object evaluateEstimated(JRExpression expression)
                                       throws JRExpressionEvalException

  Specified by:
    `evaluateEstimated` in interface `DatasetExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

### evaluateOld

    public java.lang.Object evaluateOld(JRExpression expression)
                                 throws JRExpressionEvalException

  Specified by:
    `evaluateOld` in interface `DatasetExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com